#!/bin/bash
# $Id: cspp_mirs_env.sh 963 2015-09-29 14:16:51Z jimd $
# Environment script for CSPP_MIRS


#
# Edit this environment variable to point your installation.
# For example, on the build machine, the install directory is:
# test -n "$CSPP_MIRS_HOME" || export CSPP_MIRS_HOME=/data/jimd/CSPP_MIRS_2_0
#
test -n "$CSPP_MIRS_HOME" || export CSPP_MIRS_HOME=/data/jimd/CSPP_MIRS_2_0


#
# This is required only for dynmically linked executables, but it needs to
# to set correctly for YOUR machine (or simply comment out if the system you
# are working on already has this environment variable correctly set).
#
# export LD_LIBRARY_PATH=/home/RH6B/CSPP/common/local/lib:/home/RH6B/CSPP/common/ShellB3/lib


#
# Suppress HDF5 version warnings
#
export HDF5_DISABLE_VERSION_CHECK=2


#
# This is the revision from NOAA/STAR modified for CSPP - do not touch
#
export CSPP_MIRS_REVNAME=mirs_v11r1_r3636


#
# Set revision date and PATH for CSPP_MIRS release if we think environment is correct
#
test -d "$CSPP_MIRS_HOME/$CSPP_MIRS_REVNAME" || echo "CSPP_MIRS environment improperly set"
test -d "$CSPP_MIRS_HOME/$CSPP_MIRS_REVNAME" && export CSPP_MIRS_REVDATE="20171221"
test -d "$CSPP_MIRS_HOME/$CSPP_MIRS_REVNAME" && export PATH=${CSPP_MIRS_HOME}/scripts:$PATH
